# Class THREE_LineSegments2

#### Hierarchy (View Summary)

- Mesh<LineSegmentsGeometry, LineMaterial>
  - THREE_LineSegments2
    - THREE_Line2

- Defined in lib/line/utils/LineSegments2.ts:5

##### Index

### Constructors

constructor

### Methods

computeLineDistances
raycast

## Constructors

### constructor

- new THREE_LineSegments2(
  geometry: LineSegmentsGeometry,
  material: LineMaterial,
  ): THREE_LineSegments2

  #### Parameters

  - geometry: LineSegmentsGeometry
  - material: LineMaterial

  #### Returns THREE_LineSegments2

  Overrides THREE.Mesh<LineSegmentsGeometry, LineMaterial>.constructor

  - Defined in lib/line/utils/LineSegments2.ts:7

## Methods

### computeLineDistances

- computeLineDistances(): THREE_LineSegments2

  #### Returns THREE_LineSegments2

  - Defined in lib/line/utils/LineSegments2.ts:14

### raycast

- raycast(
  raycaster: Raycaster,
  intersects: (Intersection & { pointOnLine: Vector3 })[],
  ): void

  #### Parameters

  - raycaster: Raycaster
  - intersects: (Intersection & { pointOnLine: Vector3 })[]

  #### Returns void

  Overrides THREE.Mesh.raycast

  - Defined in lib/line/utils/LineSegments2.ts:33